import request from '@/utils/request'

// 添加
export function addForm(data) {
  return request({
    method: 'post',
    url: '/material/add',
    data
  })
}

// 验证列表
export function validateList(params) {
  return request({
    method: 'get',
    url: '/material/validation',
    params
  })
}

// 列表
export function formList(params) {
  return request({
    method: 'get',
    url: '/material/index',
    params
  })
}

// 编辑
export function editForm(data) {
  return request({
    method: 'post',
    url: '/material/edit',
    data
  })
}

// 删除
export function deleteForm(data) {
  return request({
    method: 'post',
    url: '/material/destroy',
    data
  })
}

// 回答列表
export function answerList(params) {
  return request({
    method: 'get',
    url: '/form/get_form_season_user',
    params
  })
}

