import request from '@/utils/request'

// 便签列表
export function getNoteList(params) {
  return request({
    method: 'get',
    url: '/notes/get_notes_list',
    params
  })
}

// 评论回复
export function getCommentList(params) {
  return request({
    method: 'get',
    url: '/notes/get_notes_comment',
    params
  })
}

// 点赞
export function getLikeList(params) {
  return request({
    method: 'get',
    url: '/notes/get_notes_like',
    params
  })
}

// 下载
export function downloadNoteImg(params) {
  return request({
    method: 'get',
    url: '/notes/get_img_base64',
    params
  })
}
