import request from '@/utils/request'

export function setting_status(data) {
  return request({
    method: 'get',
    url: '/setting/status',
    params: data
  })
}

export function setting_time(data) {
  return request({
    url: '/setting/time',
    method: 'post',
    data
  })
}

export function setting_bannerlist(data) {
  return request({
    method: 'get',
    url: '/setting/bannerlist',
    params: data
  })
}

export function setting_bannerset(data) {
  return request({
    url: '/setting/bannerset',
    method: 'post',
    data
  })
}

export function upload(data) {
  return request({
    url: '/humanreview/upload',
    method: 'post',
    data
  })
}

export function uploadImg(data) {
  return request({
    url: '/basic/img',
    method: 'get',
    data
  })
}

// 签到码
export function signInCode() {
  return request({
    url: '/basic/getQrCode',
    method: 'get'
  })
}
