import request from '@/utils/request'

export function signup_download(data) {
  return request({
    method: 'get',
    url: '/signup/download',
    params: data
  })
}

export function signup_all(data) {
  return request({
    method: 'get',
    url: '/signup/user_all',
    params: data
  })
}

export function signup_search(data) {
  return request({
    method: 'get',
    url: '/signup/user_search',
    params: data
  })
}

export function signup_update(data) {
  return request({
    method: 'get',
    url: '/signup/user_update',
    params: data
  })
}

export function signup_refund_code(data) {
  return request({
    method: 'get',
    url: '/pay/send_code',
    params: data
  })
}

export function signup_refund(data) {
  return request({
    method: 'post',
    url: '/pay/refunds',
    params: data
  })
}
//添加退款原因
export function AddCause(data) {
  return request({
    method: 'post',
    url: '/cause/AddCause',
    params: data
  })
}
//获取退款原因
export function GetCause(data) {
  return request({
    method: 'get',
    url: '/cause/GetCause',
    params: data
  })
}

export function CheckStatus(data) {
  return request({
    method: 'post',
    url: '/pay/CheckStatus',
    params: data
  })
}
