import request from '@/utils/request'

// 添加问卷
export function addForm(data) {
  return request({
    method: 'post',
    url: '/form/add_form_season',
    data
  })
}

// 问卷列表
export function formList(params) {
  return request({
    method: 'get',
    url: '/form/get_form_season_list',
    params
  })
}

// 编辑问卷
export function editForm(data) {
  return request({
    method: 'post',
    url: '/form/edit_form_season',
    data
  })
}

// 删除问卷
export function deleteForm(data) {
  return request({
    method: 'post',
    url: '/form/delete_form_season',
    data
  })
}

// 回答列表
export function answerList(params) {
  return request({
    method: 'get',
    url: '/form/get_form_season_user',
    params
  })
}

// 往期所有问题
export function allSeasonQuestion() {
  return request({
    method: 'get',
    url: '/form/get_all_form_season'
  })
}

// 验证规则
export function allValidator() {
  return request({
    method: 'get',
    url: '/form/get_form_season_rule'
  })
}

