import request from '@/utils/request'

// 导入
export function importGroup(data) {
  return request({
    method: 'post',
    url: '/signup/importGroupInfo',
    data
  })
}

// 获取分组
export function getGroup(params) {
  return request({
    method: 'get',
    url: '/authRole/index',
    params
  })
}

// 获取所有组
export function getNormalGroup(params) {
  return request({
    method: 'get',
    url: '/authRole/get_all_group',
    params
  })
}

// 导入小组设置
export function importGroupSet(data) {
  return request({
    method: 'post',
    url: '/authRole/import_group',
    data
  })
}

// 修改小组设置
export function reviseGroupOne(data) {
  return request({
    method: 'post',
    url: '/authRole/edit_group_info',
    data
  })
}

// 添加人员
export function addRole(data) {
  return request({
    method: 'post',
    url: '/authRole/add_lecturer',
    data
  })
}

// 添加导师
export function addTeacher(params) {
  return request({
    method: 'get',
    url: '/activity/AddActivityTeacher',
    params
  })
}

// 删除讲师
export function deleteTeacher(params) {
  return request({
    method: 'get',
    url: '/activity/DelActivityTeacher',
    params
  })
}

// 获取分组
export function getTeacherGroup(params) {
  return request({
    method: 'get',
    url: '/activity/ActivityTeacher',
    params
  })
}
