import request from '@/utils/request'

// 添加管理员
export function addAdmin(data) {
  return request({
    method: 'post',
    url: '/user/add_user_manager',
    data
  })
}

// 管理员列表
export function adminList(params) {
  return request({
    method: 'get',
    url: '/user/manager_list',
    params
  })
}

// 管理员列表
export function deleteAdmin(data) {
  return request({
    method: 'post',
    url: '/user/delete_user_manager',
    data
  })
}
